[A104]Company Patent Application and Issued Trend
Analyze the annual application trend of the company. This chart shows the number of grants or issued patents resulting from applications filed in the same year, indicating the company's filing success rate over time. The most recent 20 years of application and issued data are returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 2020 | Patent apply date to, format:yyyy |
| string | 2010 | Patent apply date from, format:yyyy |
| string | CN OR EP | Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP |
| string | 华为技术有限公司 | Query the name of a single enterprise |
| string | A OR B | Patent application type A:Applications B: Patents U: Utility models D: Designs Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
| string | 2020 | Patent publication date to, format:yyyy |
| string | 2010 | Patent publication date from, format:yyyy |
| string | 1 OR 2 | Patent simple legal status 0-Inactive 1-Active 2-Pending 220-PCT designated stage expired n221-PCT designated stage 999-Undetermined Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
year | string | 2010 | Application Year |
granted | integer<int32> | 10 | Issued |
percentage | number<double> | 0.1667 | %issued |
application | integer<int32> | Application | Application |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": [
{
"year": 2010,
"granted": 10,
"percentage": 0.1667,
"application": "Application"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms